# fmgr_ha – Manages the High-Availability State of FortiManager Clusters and Nodes

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Change HA state or settings of FortiManager nodes (Standalone/Master/Slave).

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
fmgr_ha_cluster_id - | Default: 1 | Sets the ID number of the HA cluster. Defaults to 1.
fmgr_ha_cluster_pw - |  | Sets the password for the HA cluster. Only required once. System remembers between HA mode switches.
fmgr_ha_file_quota - | Default: 4096 | Sets the File quota in MB (2048-20480).
fmgr_ha_hb_interval - | Default: 5 | Sets the heartbeat interval (1-255).
fmgr_ha_hb_threshold - | Default: 3 | Sets heartbeat lost threshold (1-255).

fmgr_ha_mode
-

Choices:
- standalone
- master
- slave

Sets the role of the FortiManager host for HA.

fmgr_ha_peer_ipv4 - |  | Sets the IPv4 address of a HA peer.
fmgr_ha_peer_ipv6 - |  | Sets the IPv6 address of a HA peer.
fmgr_ha_peer_sn - |  | Sets the HA Peer Serial Number.

fmgr_ha_peer_status
-

Choices:
- enable
- disable

Sets the peer status to enable or disable.

## Notes

Note

- Full Documentation at https://ftnt-ansible-docs.readthedocs.io/en/latest/.

## Examples

    - name: SET FORTIMANAGER HA NODE TO MASTER
      fmgr_ha:
        fmgr_ha_mode: "master"
        fmgr_ha_cluster_pw: "fortinet"
        fmgr_ha_cluster_id: "1"

    - name: SET FORTIMANAGER HA NODE TO SLAVE
      fmgr_ha:
        fmgr_ha_mode: "slave"
        fmgr_ha_cluster_pw: "fortinet"
        fmgr_ha_cluster_id: "1"

    - name: SET FORTIMANAGER HA NODE TO STANDALONE
      fmgr_ha:
        fmgr_ha_mode: "standalone"

    - name: ADD FORTIMANAGER HA PEER
      fmgr_ha:
        fmgr_ha_peer_ipv4: "192.168.1.254"
        fmgr_ha_peer_sn: "FMG-VM1234567890"
        fmgr_ha_peer_status: "enable"

    - name: CREATE CLUSTER ON MASTER
      fmgr_ha:
        fmgr_ha_mode: "master"
        fmgr_ha_cluster_pw: "fortinet"
        fmgr_ha_cluster_id: "1"
        fmgr_ha_hb_threshold: "10"
        fmgr_ha_hb_interval: "15"
        fmgr_ha_file_quota: "2048"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_result string | always | full API response, includes status code and message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Luke Weighall (@lweighall)
- Andrew Welsh (@Ghilli3)
- Jim Huber (@p4r4n0y1ng)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.